%define version  4.34
%define release 10

Name:           smeserver-softethervpn-server
Version:        %{version}
Release: 	%{release}%{dist}
Summary:        An Open-Source Free Cross-platform Multi-protocol VPN Program

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.softether.org/
Source0:        smeserver-softethervpn-server-%{version}.tar.gz

BuildRequires: smeserver-devtools
Requires:	smeserver-bridge-interface
Requires:	softethervpn
Requires: smeserver-apache >= 2.6.0-14
Conflicts: 	smeserver-openvpn-bridge
AutoReqProv:    no

%description
SoftEther VPN is one of the world's most powerful and easy-to-use multi-protocol VPN software. It runs on Windows, Linux, Mac, FreeBSD, and Solaris.

%prep

%setup -q -n %{name}-%{version}
rm -rf root/etc/e-smith/templates-custom
rm -rf root/etc/e-smith/templates/etc/raddb/users

%build
# Build symlinks
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
         > %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%post


%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 4.34-10.sme
- Fix e-smith references in smeserver-softethervpn-server [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 4.34-9.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Mar 06 2023 Jean-Philippe Pialasse <tests@pialasse.com> 4.34-8.sme
- update path for ldap/radius auth [SME: 12333]
- backup the configuration and logs [SME: 12334]

* Tue Mar 30 2021 Jean-Philippe Pialasse <tests@pialasse.com> %{version}-7.sme
- move template custom to core for https access on local only [SME: 11511]

* Mon Jan 25 2021 Brian Read <brianr@bjsystems.co.uk> %{version}-6.sme
- Fix-Environment-in-service-file [SME: 11329]

* Sun Jan 24 2021 Brian Read <brianr@bjsystems.co.uk> %{version}-5.sme
- Fix-vpnserver-path-in-service-file-override [SME: 11326]

* Sat Jan 23 2021 Brian Read <brianr@bjsystems.co.uk> %{version}-4.sme
- Patch-Service-File-for-SME10 [SME: 11326]

* Sat Jan 16 2021 Brian Read <brianr@bjsystems.co.uk> %{version}-2.sme
- Initial import to SME10 tree [SME: 11326]
- Update-Createlinks-for-systemd

* Fri Mar 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 4.34.9744-1.sme
- initial release SME 9

